import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/rewards_home_test_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/rewards_home_test_entity.g.dart';

@JsonSerializable()
class RewardsHomeTestEntity {
	late int id = 0;
	late String name = '';
	late List<dynamic> rewards = [];

	RewardsHomeTestEntity();

	factory RewardsHomeTestEntity.fromJson(Map<String, dynamic> json) => $RewardsHomeTestEntityFromJson(json);

	Map<String, dynamic> toJson() => $RewardsHomeTestEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}